### Class

# Ggit CherryPickOptions

#### Description [src]

    class Ggit.CherryPickOptions : GObject.Object
    {
      /* No available fields */
    }

Represents the options used when doign a cherry-pick.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### ggit_cherry_pick_options_new

Create a new cherry-pick options object.

#### Instance methods

###### ggit_cherry_pick_options_get_checkout_options

Get the checkout options.

###### ggit_cherry_pick_options_get_mainline

Get the mainline parent to use when cherry-picking a merge commit.

###### ggit_cherry_pick_options_get_merge_options

Get the merge options.

###### ggit_cherry_pick_options_set_checkout_options

Set the checkout options.

###### ggit_cherry_pick_options_set_mainline

Set the mainline parent to use when cherry-picking a merge commit.

###### ggit_cherry_pick_options_set_merge_options

Set the merge options.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ggit.CherryPickOptions:checkout-options

No description available.

###### Ggit.CherryPickOptions:mainline

No description available.

###### Ggit.CherryPickOptions:merge-options

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitCherryPickOptionsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.